%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

Name:           python-zope-testing
Version:        3.9.5
Release:        6%{?dist}
Summary:        Zope Testing Framework
Group:          Development/Languages
License:        ZPLv2.1
URL:            http://pypi.python.org/pypi/zope.testing
Source0:        http://pypi.python.org/packages/source/z/zope.testing/zope.testing-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# register the test suite
Patch0:         python-zope-testing-3.9.5-run-tests.patch

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
# for tests
BuildRequires:  python-zope-exceptions
BuildRequires:  python-zope-interface
# for the script
Requires:       python-setuptools
# python-zope-exceptions is noarch
Requires:       python-zope-exceptions
Requires:       python-zope-interface


%description
This package provides a number of testing frameworks. It includes a
flexible test runner, and supports both doctest and unittest.


%prep
%setup -q -n zope.testing-%{version}
%patch0 -p1 -b .run_tests


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# __init__.py* are not needed since .pth file is used
rm -f $RPM_BUILD_ROOT%{python_sitelib}/zope/__init__.py*

# Deal with documents
rm -f $RPM_BUILD_ROOT%{python_sitelib}/zope/testing/*.txt
rm -f $RPM_BUILD_ROOT%{python_sitearch}/zope/testing/testrunner/*.txt
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/testrunner/
cp -p src/zope/testing/*.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/
cp -p src/zope/testing/testrunner/*.txt \
   $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/testrunner/
cp -p COPYRIGHT.txt LICENSE.txt CHANGES.txt README.txt \
   $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/

%clean
rm -rf $RPM_BUILD_ROOT

%check
%{__python} setup.py test

%files
%defattr(-,root,root,-)
%{_bindir}/zope-testrunner
%{_docdir}/%{name}-%{version}/
%{python_sitelib}/zope/testing/
%{python_sitelib}/zope.testing-*.egg-info
%{python_sitelib}/zope.testing-*-nspkg.pth

%changelog
* Wed Sep 15 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.9.5-6
- Requirement: python-zope-filesystem removed, python-zope-exceptions and
  python-setuptools added
- BR: python-zope-exceptions and python-zope-interface added
- Rearrange documents
- Add a small patch and a %%check section to make the tests run

* Sat Jul 31 2010 David Malcolm <dmalcolm@redhat.com> - 3.9.5-5
- actually remove the requirement on python-zope-exceptions this time

* Fri Jul 30 2010 David Malcolm <dmalcolm@redhat.com> - 3.9.5-4
- add missing build-time requirement on python-setuptools

* Fri Jul 30 2010 David Malcolm <dmalcolm@redhat.com> - 3.9.5-3
- remove requirement on python-zope-exceptions for now (bug 619478)
- add missing zope-testrunner executable to %%files

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 3.9.5-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jun 17 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.9.5-1
- Update to 3.9.5
- Rearrange documents
- Requires: python-zope-interface and python-zope-exceptions added

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 15 2009 Conrad Meyer <konrad@tylerc.org> - 3.7.3-3
- Actually fix file conflict with python-zope-filesystem.

* Sat Jun 13 2009 Conrad Meyer <konrad@tylerc.org> - 3.7.3-2
- Fix file conflict with python-zope-filesystem.

* Wed Apr 22 2009 Conrad Meyer <konrad@tylerc.org> - 3.7.3-1
- Bump to 3.7.3.

* Sun Dec 14 2008 Conrad Meyer <konrad@tylerc.org> - 3.7.1-1
- Initial package.
